/****************************************************************************
**	File:	COMMON.H
**
**	Desc:
**
**		Definitions which are shared with both the client and server process.
**
**		Please note the Server SAP type number used in this sample code 
**		[0x0275] must not be used in a production application; as that it 
**		is registered to Novell Developer Support as a Sample Code server 
**		SAP type.
**
**	Disclaimer:
**
**		Novell, Inc. makes no representations or warranties with respect to
**		any NetWare software, and specifically disclaims any express or
**		implied warranties of merchantability, title, or fitness for a
**		particular purpose.  
**
**		Distribution of any NetWare software is forbidden without the
**		express written consent of Novell, Inc.  Further, Novell reserves
**		the right to discontinue distribution of any NetWare software.
**
**		Novell is not responsible for lost profits or revenue, loss of use
**		of the software, loss of data, costs of re-creating lost data, the
**		cost of any substitute equipment or program, or claims by any party
**		other than you.  Novell strongly recommends a backup be made before
**		any software is installed.   Technical support for this software
**		may be provided at the discretion of Novell.
**
**
**	Programmers:
**
**		Ini	Who						Firm
**		-----------------------------------------------------------------------
**		ABJ	Adam B. Jerome			Novell Developer Support.
**
**	History:
**
**		When		Who	What
**		-----------------------------------------------------------------------
**		08-19-94	ABJ	First code.
**		09-14-94 ABJ	I was brain-dead on the first release of this file;
**							sorry about that.  The COM_SERVER_TYPE was defined as 
**							0x9090 (the TDT test socket) when it should have been
**							defined as 0x0275 (the Novell Developer Support Test
**							server type).
*/

/****************************************************************************
**	Define macros.
*/
#define COM_SERVER_TYPE		0x0275	/* Novell Developer Support test server type */
#define COM_MAX_DATA_SIZE	512		/* Maximum packet size		*/

#define COM_REQ_PING				0

#define COM_SUCCESS				0
#define COM_ERR_UNKNOWN_TYPE	(-1)

/****************************************************************************
**	Structures.
*/
#pragma pack(1)

typedef struct COM_DATA_PACKET
	{
	long 	type;
	short	status;
	char	data[COM_MAX_DATA_SIZE - sizeof(long) - sizeof(short)];
	} COM_DATA_PACKET;

#pragma pack()


